# List a case's comments **GET /comments/case/{caseId}** Lists the comments in a case, oldest first by default. On a case shared with opposing counsel, each side sees only its own side's comments. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Path parameters - **caseId** (string) Id of the case ### Query parameters - **page** (number) - **perPage** (number) - **skip** (number) If skip/limit not provided, page/perPage will take precedence - **limit** (number) If skip/limit not provided, page/perPage will take precedence - **sortOrder** (string) - **sourceType** (string) - **sourceId** (string) - **collection** (string) - **conversation** (string) - **parent** (string) - **searchText** (string) - **messages** (array[string]) - **startMessageIndex** (number) Required if endMessageIndex is provided - **endMessageIndex** (number) Required if startMessageIndex is provided ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)